nvme_lookup_ctrl(2)

NAME
nvme_lookup_ctrl - Lookup nvme_ctrl_t object

SYNOPSIS
nvme_ctrl_t nvme_lookup_ctrl (nvme_subsystem_t s , const char *transport , const char *traddr , const char *host_traddr , const char *host_iface , const char *trsvcid , nvme_ctrl_t p );

ARGUMENTS

s   nvme_subsystem_t object

transport
    Transport name

traddr
    Transport address

host_traddr
    Host transport address

host_iface
    Host interface name

trsvcid
    Transport service identifier

p   Previous controller instance

DESCRIPTION
Lookup a controller in s based on transport, traddr, host_traddr, host_iface, and trsvcid. transport must be specified, other fields may be required depending on the transport. A new object is created if none is found. If p is specified the lookup will start at p instead of the first controller.

RETURN
Controller instance